#
# spec file for package kiwi-templates-SLES15-Minimal
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define dest %_datadir/kiwi/image/suse-SLE15-Enterprise-Minimal-s390x

%if "" != ""
ExclusiveArch: do_not_build
%endif

Name:           kiwi-templates-Minimal-s390x
Version:        15.6
Release:        150600.5.7.1
BuildArch:      noarch
License:        MIT
Summary:        KIWI - SUSE Linux Enterprise 15 Minimal image templates
Url:            https://www.suse.com/
Group:          System/Management
Source01:       config.sh
Source02:       Minimal-s390x.kiwi
Source99:       LICENSE
Provides:       kiwi-templates-SLES15-JeOS = %{version}
Obsoletes:      kiwi-templates-SLES15-JeOS < %{version}
Provides:       kiwi-templates-JeOS = %{version}
Obsoletes:      kiwi-templates-JeOS < %{version}
Requires:       python3-kiwi
Supplements:    kiwi-templates

%description
This package contains system image templates to easily build
a SUSE Linux Enterprise 15 based operating system image with
kiwi.

%prep
%setup -cT
cp "%SOURCE99" .

%build

%install
dst="%buildroot%dest"
mkdir -p $dst
for i in %{SOURCE1} %{SOURCE2} ; do
	install -m 644 $i "$dst"
done

%files
%license LICENSE
%dest
%_datadir/kiwi/

%changelog
* Thu Dec 19 2024 praveenkumar.handigol@suse.com
- - missing zypper-lifecycle-plugin (bsc#1227427)
* Tue Jun  4 2024 praveenkumar.handigol@suse.com
- [s390x] firewalld is not running after firstboot (bsc#1223257)
* Tue Dec 19 2023 fvogt@suse.com
- Add "rw" to the kernel cmdline of remaining flavors
* Thu Oct 19 2023 fvogt@suse.com
- Don't install kernel-firmware-all (bsc#1215676)
- Add group(wheel) (bsc#1215723)
* Thu Oct 19 2023 fvogt@suse.com
- Remove _service. The keg recipes are too much out of sync
- Remove the /boot/writable subvolume, this is only needed for
  transactional systems
- Add combustion (jsc#PED-5843)
- Add rsyslog (bsc#1215766)
- Add salt-minion (bsc#1215074)
- Install wicked explicitly
- Add "rw" to the kernel cmdline (bsc#1211722)
* Thu Aug  3 2023 gmoro@suse.com
- Bump version to 15 SP6
* Wed May 10 2023 gmoro@suse.com
- Include OBS-Milestone for images
- Change bundle_format to appropriate tags
- Change dasd and fba images to raw
* Thu Apr 20 2023 gmoro@suse.com
- Fix image naming
- Include SUSEConnect and suse-build key
* Wed Dec 14 2022 gmoro@suse.com
- Initial version for s390x arch
